JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
FocusOutline::OutlineWindowProperties Struct Referenceabstract
juce_gui_basics » misc

Defines the focus outline window properties. More...

`#include <juce_FocusOutline.h>`

## Public Member Functions
virtual | ~OutlineWindowProperties ()=default
virtual Rectangle< int > | getOutlineBounds (Component &focusedComponent)=0
| Return the bounds for the outline window in screen coordinates.
virtual void | drawOutline (Graphics &, int width, int height)=0
| This method will be called to draw the focus outline.

## Detailed Description

Defines the focus outline window properties.

Pass an instance of one of these to the FocusOutline constructor to control the bounds for the outline window and how it is drawn.

## Constructor & Destructor Documentation

## ◆ ~OutlineWindowProperties()

virtual FocusOutline::OutlineWindowProperties::~OutlineWindowProperties | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getOutlineBounds()

virtual Rectangle< int > FocusOutline::OutlineWindowProperties::getOutlineBounds | ( | Component & | focusedComponent | ) |
| pure virtual

Return the bounds for the outline window in screen coordinates.

## ◆ drawOutline()

virtual void FocusOutline::OutlineWindowProperties::drawOutline | ( | Graphics & | ,
|  | int | width,
|  | int | height )
| pure virtual

This method will be called to draw the focus outline.

The documentation for this struct was generated from the following file:

- juce_FocusOutline.h